Subject: bug#54543: closed (Re: bug#54543: Unclear explanation in the "Select Tags Table" part of the manual)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 24 Mar 2022 17:01:01 +0000

Your bug report

#54543: Unclear explanation in the "Select Tags Table" part of the manual

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
54543: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=54543
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#54543: Unclear explanation in the "Select Tags Table" part of the manual
From: Eli Zaretskii <[email-masked]>
To: Daniel Martín <[email-masked]>
Cc: [email-masked]
Date: Thu, 24 Mar 2022 19:00:34 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Daniel Martín <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 24 Mar 2022 17:34:44 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Date: Thu, 24 Mar 2022 16:37:51 +0200
> >> From: Eli Zaretskii <[email-masked]>
> >> Cc: [email-masked]
> >> 
> >> The text is indeed a bit confusing, because it leads to this
> >> interpretation, but the way to fix it is different from what you
> >> thought.  Hmm...
> >
> > I've now tried to fix this on the emacs-28 branch, please take a look.
> 
> Thanks, the text is much more understandable now.

Ok, so I'm closing this bug.

Thanks.

Subject: Unclear explanation in the "Select Tags Table" part of the manual
From: Daniel Martín <[email-masked]>
To: [email-masked]
Date: Thu, 24 Mar 2022 14:12:48 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Steps to reproduce the problem:

emacs -Q
Eval (info "(emacs) Select Tags Table")

The manual says at the beginning:

"Emacs has at any time at most one “selected” tags table.  All the
commands for working with tags tables use the selected one."

But then, later on, it says:

"The tags commands use all the tags tables
in the current list.  If you start a new list, the new tags table is
used _instead_ of others.  If you add the new table to the current list,
it is used _as well as_ the others."

Doesn't this sound like a contradiction?  I think the first sentence
should say there's at most one selected "tags table _list_", right?

Thanks.